# SWGHostingiisAPIApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**iisListGet**](SWGHostingiisAPIApi.md#iislistget) | **GET** /iis/list | Список сайтов IIS


# **iisListGet**
```objc
-(NSNumber*) iisListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse2008>* output, NSError* error)) handler;
```

Список сайтов IIS

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGHostingiisAPIApi*apiInstance = [[SWGHostingiisAPIApi alloc] init];

// Список сайтов IIS
[apiInstance iisListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse2008>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGHostingiisAPIApi->iisListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse2008>***](SWGInlineResponse2008.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

