#import "SWGInlineResponse20014.h"

@implementation SWGInlineResponse20014

- (instancetype)init {
  self = [super init];
  if (self) {
    // initialize property's default value, if any
    
  }
  return self;
}


/**
 * Maps json key to property name.
 * This method is used by `JSONModel`.
 */
+ (JSONKeyMapper *)keyMapper {
  return [[JSONKeyMapper alloc] initWithDictionary:@{ @"id": @"_id", @"status": @"status", @"unmovable": @"unmovable", @"online": @"online", @"deleted": @"deleted", @"deleted_auto": @"deletedAuto", @"deleted_dump": @"deletedDump", @"user_id": @"userId", @"ftp_id": @"ftpId", @"dns_id": @"dnsId", @"iis_id": @"iisId", @"iis_binding": @"iisBinding", @"iis_path": @"iisPath", @"iis_comments": @"iisComments", @"memo": @"memo", @"date_reg": @"dateReg", @"server": @"server", @"server_bak": @"serverBak", @"server_aux": @"serverAux", @"server_transition": @"serverTransition", @"server_transition_dtc": @"serverTransitionDtc", @"block_transfer": @"blockTransfer", @"server_changed_time": @"serverChangedTime", @"size_amount": @"sizeAmount", @"size_file_count": @"sizeFileCount", @"size_file_count_limit": @"sizeFileCountLimit", @"size_date": @"sizeDate", @"size_priority_scan": @"sizePriorityScan", @"copy_logs": @"varCopyLogs", @"content_comments": @"contentComments", @"content_comments_verbose": @"contentCommentsVerbose", @"meta_save_count": @"metaSaveCount", @"base_folder": @"baseFolder", @"virtualhost_conf": @"virtualhostConf", @"virtualhost_server": @"virtualhostServer", @"virtualhost_server_conf": @"virtualhostServerConf", @"live_day_count": @"liveDayCount", @"scan_date": @"scanDate", @"global_transfer_count": @"globalTransferCount", @"net_limit_file": @"netLimitFile", @"net_limit_deny_from_ip": @"netLimitDenyFromIp", @"net_limit_deny_from_agent": @"netLimitDenyFromAgent", @"apache_php_pooled": @"apachePhpPooled", @"apache_php_pooled_ext": @"apachePhpPooledExt", @"apache_php_pooled_ext_auto": @"apachePhpPooledExtAuto", @"apache_php_pool1_only": @"apachePhpPool1Only", @"apache_php_pool5_only": @"apachePhpPool5Only", @"apache_ssi": @"apacheSsi", @"bypass_security": @"bypassSecurity", @"flag_generic_exec": @"flagGenericExec", @"flag_no_www": @"flagNoWww", @"base_folder_suffix": @"baseFolderSuffix", @"feedback_speed": @"feedbackSpeed", @"feedback_speed_dtc": @"feedbackSpeedDtc", @"feedback_speed_feedback": @"feedbackSpeedFeedback", @"unix_path_on_windows": @"unixPathOnWindows", @"ftp_ipfilter": @"ftpIpfilter", @"ssh_ipfilter": @"sshIpfilter", @"l3d_auto": @"l3dAuto", @"awstats_primary_domain": @"awstatsPrimaryDomain", @"sharepoint_mode": @"sharepointMode", @"sharepoint_mode_pending": @"sharepointModePending", @"apache_generic_pool_port": @"apacheGenericPoolPort", @"mongrel_environment": @"mongrelEnvironment", @"flag_free": @"flagFree", @"rtm_scan_date": @"rtmScanDate", @"analyze_analog": @"analyzeAnalog", @"cpu_details_enabled": @"cpuDetailsEnabled", @"content_moderated_status": @"contentModeratedStatus", @"content_moderated_date": @"contentModeratedDate", @"http_frontend_ip": @"httpFrontendIp", @"http_frontend_ip_transition": @"httpFrontendIpTransition", @"cpu_limit_exceeded_date": @"cpuLimitExceededDate", @"aufs_template": @"aufsTemplate", @"options_autolimit": @"optionsAutolimit", @"iis_creation_commands": @"iisCreationCommands", @"iis_creation_commands_unix": @"iisCreationCommandsUnix", @"thumb_date": @"thumbDate", @"thumb_failed": @"thumbFailed", @"backup_stat_date": @"backupStatDate", @"backup_date": @"backupDate", @"detected_packages": @"detectedPackages", @"stat_site_power": @"statSitePower", @"smtp_from": @"smtpFrom", @"super_backup_date": @"superBackupDate", @"backup_delta_stat_date": @"backupDeltaStatDate", @"backup_delta_date": @"backupDeltaDate", @"backup_delta_desc": @"backupDeltaDesc", @"alt_docroot_server": @"altDocrootServer", @"alt_docroot_path": @"altDocrootPath", @"alt_docroot_status": @"altDocrootStatus", @"alt_docroot_status_cnt": @"altDocrootStatusCnt", @"alt_docroot_status_date": @"altDocrootStatusDate", @"bind_dtc": @"bindDtc", @"backup_special_mode": @"backupSpecialMode", @"size_check_problem": @"sizeCheckProblem", @"wpb_domain": @"wpbDomain", @"wpb_uuid": @"wpbUuid", @"wpb_status": @"wpbStatus", @"admin_protection": @"adminProtection", @"size_comments": @"sizeComments", @"alt_docroot_ssd_req": @"altDocrootSsdReq", @"mail_limit": @"mailLimit", @"mail_accept": @"mailAccept", @"mail_drop": @"mailDrop", @"ftp_name": @"ftpName", @"ftp_pwd": @"ftpPwd" }];
}

/**
 * Indicates whether the property with the given name is optional.
 * If `propertyName` is optional, then return `YES`, otherwise return `NO`.
 * This method is used by `JSONModel`.
 */
+ (BOOL)propertyIsOptional:(NSString *)propertyName {

  NSArray *optionalProperties = @[];
  return [optionalProperties containsObject:propertyName];
}

@end
