# SWGHostingftpAPIApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ftpListGet**](SWGHostingftpAPIApi.md#ftplistget) | **GET** /ftp/list | Получить список зарегистрированных аккаунтов FTP


# **ftpListGet**
```objc
-(NSNumber*) ftpListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse2007>* output, NSError* error)) handler;
```

Получить список зарегистрированных аккаунтов FTP

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGHostingftpAPIApi*apiInstance = [[SWGHostingftpAPIApi alloc] init];

// Получить список зарегистрированных аккаунтов FTP
[apiInstance ftpListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse2007>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGHostingftpAPIApi->ftpListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse2007>***](SWGInlineResponse2007.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

