# SWGInlineResponse2001

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**_id** | **NSNumber*** | Идентификатор аккаунта | 
**_description** | **NSString*** | Описание аккаунта | 
**billingGroupId** | **NSNumber*** | Идентификатор тарифной группы | 
**blocked** | **NSString*** | Аккаунт заблокирован, если true | 
**blockedDate** | **NSString*** | Дата блокировки | [optional] 
**blockedReason** | **NSString*** | Причина блокировки | [optional] 
**creditLimit** | **NSNumber*** | Ограничение суммы на работу в аванс | 
**planId** | **NSNumber*** | Идентификатор тарифа | 
**periodId** | **NSNumber*** | Идентификатор тарифа (периода) | 
**contractType** | **NSNumber*** | Тип договора | 
**clientId** | **NSNumber*** |  | 
**clientLogin** | **NSString*** | Логин клиента | 
**contractId** | **NSString*** | Номер договора | 
**nameRus** | **NSString*** | Имя клиента на русском | 
**nameEng** | **NSString*** | Имя клиента на английском | 
**email** | **NSString*** | E-mail клиент | 
**statSites** | **NSNumber*** | Количество созданных сайтов | 
**statSizeMb** | **NSNumber*** | Используемое дисковое пространство | 
**statEmails** | **NSNumber*** | Количество созданных почтовых ящиков | 
**statMysqls** | **NSNumber*** | Количество баз данных MySQL | 
**statTech** | **NSNumber*** |  | 
**statNicd** | **NSNumber*** |  | 
**statAccessDynamic** | **NSNumber*** |  | 
**statAccessStatic** | **NSNumber*** |  | 
**statAccessTraffic** | **NSNumber*** |  | 
**statPaidTotal** | **NSNumber*** |  | 
**statVdsSize** | **NSNumber*** | Размер дисков VDS | 
**planName** | **NSString*** | Название тарифного плана | 
**periodMonths** | **NSNumber*** | Количество месяцев в оплаченном периоде | 
**periodPrice** | **NSNumber*** | Стоимость оплаченного периода | 
**expires** | **NSString*** |  | 
**externalCurrencySpelledPrefix** | **NSString*** | Префикс для вывода текущей валюты хостинга (например, в строке &#39;$100&#39; префиксом является &#39;$&#39;) | 
**externalCurrencySpelledSuffix** | **NSString*** | Суффикс для вывода текущей валюты хостинга (например, в строке &#39;100 руб.&#39; суффиксом является &#39; руб.&#39; | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


