# SWGInlineResponse20014

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**_id** | **NSNumber*** |  | 
**status** | **NSString*** |  | 
**unmovable** | **NSString*** |  | 
**online** | **NSString*** | Включен (активен), если true. | 
**deleted** | **NSString*** | Удален, если true. Данные могут сохраняться. | 
**deletedAuto** | **NSString*** | Удален, если true. Данные могут сохраняться. | 
**deletedDump** | **NSString*** |  | 
**userId** | **NSString*** |  | 
**ftpId** | **NSString*** |  | 
**dnsId** | **NSString*** |  | 
**iisId** | **NSString*** |  | 
**iisBinding** | **NSString*** |  | 
**iisPath** | **NSString*** |  | 
**iisComments** | **NSString*** | Уникальное строковое имя сайта (ID). | 
**memo** | **NSString*** |  | 
**dateReg** | **NSString*** | Дата создания. | 
**server** | **NSString*** | Тип веб-сервера. | 
**serverBak** | **NSString*** |  | 
**serverAux** | **NSString*** |  | 
**serverTransition** | **NSString*** | Тип сервера недавно изменялся, если true. | 
**serverTransitionDtc** | **NSString*** |  | 
**blockTransfer** | **NSString*** |  | 
**serverChangedTime** | **NSString*** |  | 
**sizeAmount** | **NSString*** | Размер веб-сайта - объем (Кб). | 
**sizeFileCount** | **NSString*** | Размер веб-сайта - кол-во файлов. | 
**sizeFileCountLimit** | **NSString*** |  | 
**sizeDate** | **NSString*** | Размер веб-сайта - дата замера. | 
**sizePriorityScan** | **NSString*** |  | 
**varCopyLogs** | **NSString*** |  | 
**contentComments** | **NSString*** |  | 
**contentCommentsVerbose** | **NSString*** |  | 
**metaSaveCount** | **NSString*** |  | 
**baseFolder** | **NSString*** |  | 
**virtualhostConf** | **NSString*** |  | 
**virtualhostServer** | **NSString*** |  | 
**virtualhostServerConf** | **NSString*** |  | 
**liveDayCount** | **NSString*** |  | 
**scanDate** | **NSString*** |  | 
**globalTransferCount** | **NSString*** |  | 
**netLimitFile** | **NSString*** |  | 
**netLimitDenyFromIp** | **NSString*** |  | 
**netLimitDenyFromAgent** | **NSString*** |  | 
**apachePhpPooled** | **NSString*** |  | 
**apachePhpPooledExt** | **NSString*** |  | 
**apachePhpPooledExtAuto** | **NSString*** |  | 
**apachePhpPool1Only** | **NSString*** |  | 
**apachePhpPool5Only** | **NSString*** |  | 
**apacheSsi** | **NSString*** |  | 
**bypassSecurity** | **NSString*** |  | 
**flagGenericExec** | **NSString*** |  | 
**flagNoWww** | **NSString*** |  | 
**baseFolderSuffix** | **NSString*** |  | 
**feedbackSpeed** | **NSString*** |  | 
**feedbackSpeedDtc** | **NSString*** |  | 
**feedbackSpeedFeedback** | **NSString*** |  | 
**unixPathOnWindows** | **NSString*** |  | 
**ftpIpfilter** | **NSString*** | Ограничение по IP адресам - FTP доступ. | 
**sshIpfilter** | **NSString*** | Ограничение по IP адресам - SSH доступ. | 
**l3dAuto** | **NSString*** |  | 
**awstatsPrimaryDomain** | **NSString*** |  | 
**sharepointMode** | **NSString*** |  | 
**sharepointModePending** | **NSString*** |  | 
**apacheGenericPoolPort** | **NSString*** |  | 
**mongrelEnvironment** | **NSString*** |  | 
**flagFree** | **NSString*** |  | 
**rtmScanDate** | **NSString*** |  | 
**analyzeAnalog** | **NSString*** |  | 
**cpuDetailsEnabled** | **NSString*** | Включен режим предоставления детализации процессорной нагрузки. | 
**contentModeratedStatus** | **NSString*** |  | 
**contentModeratedDate** | **NSString*** |  | 
**httpFrontendIp** | **NSString*** |  | 
**httpFrontendIpTransition** | **NSString*** |  | 
**cpuLimitExceededDate** | **NSString*** | Дата последнего превышения процессорной нагрузки. | 
**aufsTemplate** | **NSString*** | Признак сайта-конструктора. | 
**optionsAutolimit** | **NSString*** |  | 
**iisCreationCommands** | **NSString*** | Версия ASP.NET, если отлична от 2.0. | 
**iisCreationCommandsUnix** | **NSString*** |  | 
**thumbDate** | **NSString*** |  | 
**thumbFailed** | **NSString*** |  | 
**backupStatDate** | **NSString*** |  | 
**backupDate** | **NSString*** | Дата пофайловой резервной копии. | 
**detectedPackages** | **NSString*** |  | 
**statSitePower** | **NSString*** |  | 
**smtpFrom** | **NSString*** |  | 
**superBackupDate** | **NSString*** |  | 
**backupDeltaStatDate** | **NSString*** |  | 
**backupDeltaDate** | **NSString*** | Дата архивной резервной копии. | 
**backupDeltaDesc** | **NSString*** | Содержимое архивной резервной копии. | 
**altDocrootServer** | **NSString*** |  | 
**altDocrootPath** | **NSString*** |  | 
**altDocrootStatus** | **NSString*** |  | 
**altDocrootStatusCnt** | **NSString*** |  | 
**altDocrootStatusDate** | **NSString*** |  | 
**bindDtc** | **NSString*** | Последнее изменение привязок доменов для сайта. | 
**backupSpecialMode** | **NSString*** |  | 
**sizeCheckProblem** | **NSString*** |  | 
**wpbDomain** | **NSString*** |  | 
**wpbUuid** | **NSString*** | Для сайта включен конструктор Parallels WPB. | 
**wpbStatus** | **NSString*** |  | 
**adminProtection** | **NSString*** |  | 
**sizeComments** | **NSString*** |  | 
**altDocrootSsdReq** | **NSString*** |  | 
**mailLimit** | **NSString*** |  | 
**mailAccept** | **NSString*** |  | 
**mailDrop** | **NSString*** |  | 
**ftpName** | **NSString*** | FTP/SSH/SCP/SFTP логин. | 
**ftpPwd** | **NSString*** | FTP/SSH/SCP/SFTP пароль. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


