# SWGMicrosoftSQLServerApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**mssqlListGet**](SWGMicrosoftSQLServerApi.md#mssqllistget) | **GET** /mssql/list | Получить список аккаунтов в MSSQL


# **mssqlListGet**
```objc
-(NSNumber*) mssqlListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse2009>* output, NSError* error)) handler;
```

Получить список аккаунтов в MSSQL

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGMicrosoftSQLServerApi*apiInstance = [[SWGMicrosoftSQLServerApi alloc] init];

// Получить список аккаунтов в MSSQL
[apiInstance mssqlListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse2009>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGMicrosoftSQLServerApi->mssqlListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse2009>***](SWGInlineResponse2009.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

